cURL
curl --request PATCH \
--url https://v2.easystreetoffers.com/api/v2/offer-requests/{offer_request_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"request": {
"offer_request_asking": 123,
"test": true
},
"assumptions": [
{
"assumption_id": 123,
"created_at": "now()",
"inventory_property_id": 123,
"ltr_monthly_rent": 123,
"ltr_annual_rent_increase": 123,
"ltr_arv": 123,
"ltr_renovation_cost": 123,
"str_season_1_daily_rate": 123,
"str_season_2_daily_rate": 123,
"str_season_3_daily_rate": 123,
"str_season_4_daily_rate": 123,
"str_arv": 123,
"str_renovation_cost": 123,
"rr_weekly_rent_per_room": 123,
"rr_arv": 123,
"rr_beds": 123,
"rr_baths": 123,
"ff_arv": 123,
"ff_renovation_cost": 123,
"property_annual_tax": 123,
"property_annual_hoa": 123,
"rr_renovation_cost": 123,
"reno_items": [
{}
],
"fmv": 123
}
],
"media": [
"<string>"
]
}
'import requests
url = "https://v2.easystreetoffers.com/api/v2/offer-requests/{offer_request_id}"
payload = {
"request": {
"offer_request_asking": 123,
"test": True
},
"assumptions": [
{
"assumption_id": 123,
"created_at": "now()",
"inventory_property_id": 123,
"ltr_monthly_rent": 123,
"ltr_annual_rent_increase": 123,
"ltr_arv": 123,
"ltr_renovation_cost": 123,
"str_season_1_daily_rate": 123,
"str_season_2_daily_rate": 123,
"str_season_3_daily_rate": 123,
"str_season_4_daily_rate": 123,
"str_arv": 123,
"str_renovation_cost": 123,
"rr_weekly_rent_per_room": 123,
"rr_arv": 123,
"rr_beds": 123,
"rr_baths": 123,
"ff_arv": 123,
"ff_renovation_cost": 123,
"property_annual_tax": 123,
"property_annual_hoa": 123,
"rr_renovation_cost": 123,
"reno_items": [{}],
"fmv": 123
}
],
"media": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request: {offer_request_asking: 123, test: true},
assumptions: [
{
assumption_id: 123,
created_at: 'now()',
inventory_property_id: 123,
ltr_monthly_rent: 123,
ltr_annual_rent_increase: 123,
ltr_arv: 123,
ltr_renovation_cost: 123,
str_season_1_daily_rate: 123,
str_season_2_daily_rate: 123,
str_season_3_daily_rate: 123,
str_season_4_daily_rate: 123,
str_arv: 123,
str_renovation_cost: 123,
rr_weekly_rent_per_room: 123,
rr_arv: 123,
rr_beds: 123,
rr_baths: 123,
ff_arv: 123,
ff_renovation_cost: 123,
property_annual_tax: 123,
property_annual_hoa: 123,
rr_renovation_cost: 123,
reno_items: [{}],
fmv: 123
}
],
media: ['<string>']
})
};
fetch('https://v2.easystreetoffers.com/api/v2/offer-requests/{offer_request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"error": 123,
"message": "<string>"
}Cash Offer Requests
Update Offer Request
Updates an offer request
PATCH
/
offer-requests
/
{offer_request_id}
cURL
Currently, we only allow
ListAgentFirstName, ListAgentLastName,ListAgentEmail, ListAgentDirectPhone and media fields to be updated. This allows you to provide us with the listing agent to close the transaction, and for property photos to be added.Authorizations
Path Parameters
ID of offer request to update
Body
application/json
Preliminary Matches
Show child attributes
Show child attributes
property fields named with Pascal Case convention follow the RESO 2.0 standard
Show child attributes
Show child attributes
Analyst assumptions. Only available to buyers
Show child attributes
Show child attributes
List of signed URLs. Note that the URLs will become invalid after 10 minutes.